summaryrefslogtreecommitdiffstats
path: root/abs/mv-core/runit-scripts-mv/runitscripts/services/frontend
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2008-11-23 03:47:32 (GMT)
committerJames Meyer <james.meyer@operamail.com>2008-11-23 03:47:32 (GMT)
commita73aa26202d19da424722bcf1285b566dbfd9d8d (patch)
treecc24843c13127ef3b5d8207aa7c82be0b1f00d37 /abs/mv-core/runit-scripts-mv/runitscripts/services/frontend
parenta1219610c24fc89e2e4c1b81194fe25e40933cf5 (diff)
downloadlinhes_pkgbuild-a73aa26202d19da424722bcf1285b566dbfd9d8d.zip
linhes_pkgbuild-a73aa26202d19da424722bcf1285b566dbfd9d8d.tar.gz
linhes_pkgbuild-a73aa26202d19da424722bcf1285b566dbfd9d8d.tar.bz2
add mythvantage specific packages.
Diffstat (limited to 'abs/mv-core/runit-scripts-mv/runitscripts/services/frontend')
-rwxr-xr-xabs/mv-core/runit-scripts-mv/runitscripts/services/frontend/finish24
-rwxr-xr-xabs/mv-core/runit-scripts-mv/runitscripts/services/frontend/log/run5
-rwxr-xr-xabs/mv-core/runit-scripts-mv/runitscripts/services/frontend/run13
3 files changed, 42 insertions, 0 deletions
diff --git a/abs/mv-core/runit-scripts-mv/runitscripts/services/frontend/finish b/abs/mv-core/runit-scripts-mv/runitscripts/services/frontend/finish
new file mode 100755
index 0000000..3bbd374
--- /dev/null
+++ b/abs/mv-core/runit-scripts-mv/runitscripts/services/frontend/finish
@@ -0,0 +1,24 @@
+#!/bin/bash
+exec 2>&1
+grep -q noautologin /proc/cmdline
+STATUS=$?
+ if [ $STATUS = 0 ]
+ then
+ chvt 2
+else
+
+chvt 1
+touch /etc/sv/frontend/.runtime/`date +%s`
+sleep 0.5
+ps -ef |grep "xinit /etc/X11/Sessions/STB"|grep -v grep|awk ' { print $2 } '|xargs kill 2> /dev/null
+cdate=`date`
+#numfiles=`/usr/bin/fbd -d "$cdate" -a 10s /etc/sv/frontend/.runtime 2>/dev/null |wc -l`
+numfiles=`/usr/bin/file_time_offset.py -s10 -d/etc/sv/frontend/.runtime`
+
+if [ $numfiles -gt 2 ]
+then
+ sv stop frontend
+ rm -f /etc/sv/frontend/.runtime/*
+ echo "Frontend is not able to start, disabling it"
+fi
+fi
diff --git a/abs/mv-core/runit-scripts-mv/runitscripts/services/frontend/log/run b/abs/mv-core/runit-scripts-mv/runitscripts/services/frontend/log/run
new file mode 100755
index 0000000..463045f
--- /dev/null
+++ b/abs/mv-core/runit-scripts-mv/runitscripts/services/frontend/log/run
@@ -0,0 +1,5 @@
+#!/bin/sh
+exec 2>&1
+. /etc/systemconfig
+ /usr/bin/logger -p local6.info -t mythfrontend
+
diff --git a/abs/mv-core/runit-scripts-mv/runitscripts/services/frontend/run b/abs/mv-core/runit-scripts-mv/runitscripts/services/frontend/run
new file mode 100755
index 0000000..3b43b4f
--- /dev/null
+++ b/abs/mv-core/runit-scripts-mv/runitscripts/services/frontend/run
@@ -0,0 +1,13 @@
+#!/bin/sh
+exec 2>&1
+ grep -q noautologin /proc/cmdline
+ STATUS=$?
+ if [ $STATUS = 0 ]
+ then
+ sv down frontend
+ exit 0
+ fi
+
+#exec /usr/bin/openvt -fec 7 -- /bin/su - mythtv -l -c STB-start
+exec /bin/su - mythtv -l -c STB-start
+